Index: src/convert.cpp
===================================================================
--- src/convert.cpp	(revision 1898)
+++ src/convert.cpp	(working copy)
@@ -809,7 +809,14 @@
             return;
         }
         XMP_DateTime datetime;
-        SXMPUtils::ConvertToDate(value, &datetime);
+        try {
+            SXMPUtils::ConvertToDate(value, &datetime);
+        }
+        catch (const XMP_Error& e) {
+#ifndef SUPPRESS_WARNINGS
+            std::cerr << "Warning: Failed to convert " << from << " to " << to << " (" << e.GetErrMsg() << ")\n";
+#endif
+        }
         char buf[30];
         if (std::string(to) != "Exif.GPSInfo.GPSTimeStamp") {
 
